tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.JoinRequestedHandler.JoinRequestedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.JoinRequestedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.JoinRequestedHandler.JoinRequestedEvent

- Enclosing interface:
    MucModule.JoinRequestedHandler

      public static class MucModule.JoinRequestedHandler.JoinRequestedEvent
      extends JaxmppEvent<MucModule.JoinRequestedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinRequestedEvent(SessionObject sessionObject, Presence presence, String nickname, Room room)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(MucModule.JoinRequestedHandler handler)` Invokes handlers method.
    `String` | `getNickname()`
    `Room` | `getRoom()`
    `Presence` | `getSentPresence()`
    `void` | `setNickname(String nickname)`
    `void` | `setRoom(Room room)`
    `void` | `setSentPresence(Presence sentPresence)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinRequestedEvent

          public JoinRequestedEvent(SessionObject sessionObject,
                                    Presence presence,
                                    String nickname,
                                    Room room)

  - ### Method Detail

    - #### dispatch

          public void dispatch(MucModule.JoinRequestedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.JoinRequestedHandler>`
      Parameters:
        `handler` - handler

    - #### getNickname

          public String getNickname()

    - #### setNickname

          public void setNickname(String nickname)

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom(Room room)

    - #### getSentPresence

          public Presence getSentPresence()

    - #### setSentPresence

          public void setSentPresence(Presence sentPresence)

Copyright © 2006–2023 Tigase. All rights reserved.